part of 'invoice_details_bloc.dart';

@immutable
sealed class InvoiceDetailsEvent {}

class InvoiceApproveEvent extends InvoiceDetailsEvent {
  InvoiceApproveEvent();
}

class InvoiceDisputeEvent extends InvoiceDetailsEvent {
  final String reason;
  final String comment;

  InvoiceDisputeEvent({
    required this.reason,
    required this.comment,
  });
}
